## hyperkitty 1.3.7

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/HyperKitty.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/HyperKitty.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/HyperKitty"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/HyperKitty"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
hyperkitty (1.3.7-1ubuntu2) mantic; urgency=medium

  * d/control: Update Django runtime dependency to match build dependency,
    allowing Django 4.2

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 25 Aug 2023 08:56:15 -0700

hyperkitty (1.3.7-1ubuntu1) mantic; urgency=medium

  * Add Django 4.2 compatibility (LP: #2022089)
    - d/p/django4-compatibility.patch: Add Django 4.2 as a possible dependency
      in setup.py
    - d/control: Allow Django 4.2 as a dependency

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 14 Aug 2023 09:44:57 -0700

hyperkitty (1.3.7-1) unstable; urgency=medium

  * New upstream release 1.3.7
  * d/control:
    - Bump Standards-Version to 4.6.2
    - Depend on fonts-font-awesome to remove some embedded fonts
      (Closes: #1028021)
  * d/s/lintian-overrides: cleanup
  * Link jquery stuff to the libjs-jquery version

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Jan 2023 19:03:14 +0100

=== debian/control ===
Source: hyperkitty
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
           Jonas Meurer <jonas@freesources.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-bs4,
               python3-django (>= 2:3.2),
               python3-django (<< 3:4.3),
               python3-django-compressor,
               python3-django-extensions,
               python3-django-gravatar2,
               python3-django-haystack,
               python3-django-mailman3 (>= 1.3.8),
               python3-django-q,
               python3-djangorestframework,
               python3-elasticsearch,
               python3-flufl.lock,
               python3-isort,
               python3-lxml,
               python3-mailmanclient,
               python3-mistune (>= 2.0.0),
               python3-mock,
               python3-networkx,
               python3-robot-detection,
               python3-setuptools,
               python3-tz,
               python3-whoosh,
               python3-sphinx,
               sassc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/mailman/hyperkitty
Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
Vcs-Git: https://salsa.debian.org/mailman-team/hyperkitty.git/

Package: python3-django-hyperkitty
Architecture: all
Depends: fonts-font-awesome,
         fonts-glyphicons-halflings,
         libjs-bootstrap4,
         libjs-jquery,
         libjs-jquery-ui,
         python3-dateutil,
         python3-django (>= 2:3.2),
         python3-django (<< 3:4.3),
         python3-django-compressor,
         python3-django-extensions,
         python3-django-gravatar2,
         python3-django-haystack,
         python3-django-mailman3 (>= 1.3.8),
         python3-django-q,
         python3-djangorestframework,
         python3-elasticsearch,
         python3-flufl.lock,
         python3-mailmanclient,
         python3-mistune (>= 2.0.0),
         python3-networkx,
         python3-robot-detection,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: mailman3-web
Breaks: mailman3-web (<< 0+20180916-10~)
Conflicts: python-django-hyperkitty
Replaces: python-django-hyperkitty
Description: Web user interface to access GNU Mailman3 archives
 The hyperkitty Django app provides a web user interface
 to access GNU Mailman3 archives, and manage it. This
 interface uses django, and requires some configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = hyperkitty

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean -X.txt.orig

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python3 in $(shell py3versions -r); do \
		$$python3 $(shell which django-admin) test -v 3 --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty; \
	done
endif

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -E -N doc build/sphinx/html
	dh_auto_build

override_dh_python3:
	dh_python3
	# Due to bug #908999, dh_python3 removes the empty directory
	# 'usr/share/python3-django-hyperkitty', so run mkdir manually.
	mkdir -p debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty
	# Move static files outside of the lib directory
	mv debian/python3-django-hyperkitty/usr/lib/python3/dist-packages/hyperkitty/static \
		debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty/
	dh_link usr/share/python3-django-hyperkitty/static \
		usr/lib/python3/dist-packages/hyperkitty/static
	# Don't embed fonts
	find debian/python3-django-hyperkitty -name 'fontawesome-webfont.eot' -type f -exec \
		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.eot {} \;
	find debian/python3-django-hyperkitty -name 'fontawesome-webfont.woff' -type f -exec \
		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
	find debian/python3-django-hyperkitty -name 'fontawesome-webfont.woff2' -type f -exec \
		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff2 {} \;
	# Don't embed glewlwyd glyphicons as they're also shipped into debian.
	for type in eot ttf woff woff2; do \
		find debian/python3-django-hyperkitty -name "glyphicons-halflings-regular.$$type" -type f -exec \
			ln -sf /usr/share/fonts-glyphicons/glyphicons-halflings-regular.$$type {} \; ; \
	done
	# Don't embed JQuery stuff
	find debian/python3-django-hyperkitty -name 'jquery-3.6.0.min.map' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.map {} \;
	find debian/python3-django-hyperkitty -name 'jquery-3.6.0.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-django-hyperkitty -name 'jquery-3.6.0.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.js {} \;
	find debian/python3-django-hyperkitty -name 'jquery-ui-1.13.1.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery-ui/jquery-ui.min.js {} \;
	find debian/python3-django-hyperkitty -name 'jquery-ui-1.13.1.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery-ui/jquery-ui.js {} \;
	# Don't embed bootstrap JS scripts
	find debian/python3-django-hyperkitty -name 'bootstrap.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap4/js/bootstrap.js {} \;
	find debian/python3-django-hyperkitty -name 'bootstrap.min.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap4/js/bootstrap.min.js {} \;
	# Compile scss + css files using sassc
	sassc hyperkitty/static/hyperkitty/sass/hyperkitty.scss \
		debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty/static/hyperkitty/libs/hyperkitty.css
	#
	# Compile django LC messages
	cd debian/python3-django-hyperkitty/usr/lib/python3/dist-packages/hyperkitty && django-admin compilemessages

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/python3-django-hyperkitty/usr/share/doc/python3-django-hyperkitty/examples/wsgi.py

## hyperkitty 1.3.12

=== debian/changelog ===
hyperkitty (1.3.12-3ubuntu1) questing; urgency=medium

  * d/p/fix-test-migration-django-5.patch: Fix migration test for Django 5.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 13 Aug 2025 16:18:25 -0400

hyperkitty (1.3.12-3) unstable; urgency=medium

  * Team upload.

  [ Fiona Ebner ]
  * Add upstream patch to fix tests after python3-mistune changes.
    (Closes: #1102379)

  [ Carlos Henrique Lima Melara ]
  * d/p/0005-Changes-to-support-mistune-3.1.patch: improve patch metadata.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 13 Apr 2025 22:54:43 -0300

hyperkitty (1.3.12-2) unstable; urgency=medium

  * Add upstream patch to fix tests after Python 3.13 argparse changes
    (closes: #1088312).
  * Bump Standards-Version to 4.7.2.
  * Add myself to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Mon, 10 Mar 2025 14:18:33 +0100

hyperkitty (1.3.12-1) unstable; urgency=medium

  * New upstream release 1.3.12
    - Fix missing Build-Dependency on dateutil
    - Closes: #1073392
  * d/watch: rollback to pypi as gitlab seems to be a dead end.
  * Bump Standards-Version to 4.7.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 20 Oct 2024 22:39:15 +0200

hyperkitty (1.3.9-1) unstable; urgency=medium

  * New upstream release 1.3.9
    - Update (Build-)Dependencies (Closes: #1052805)
  * d/control:
    - Drop python3-mock from Build-Dependencies (Closes: #1067044)
  * d/watch: Update url tracking
  * Drop d/upstream directory
  * Fix embedded js/css libs changes

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 18 Mar 2024 01:00:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
-           Jonas Meurer <jonas@freesources.org>
+           Jonas Meurer <jonas@freesources.org>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-bs4,
-               python3-django (>= 2:3.2),
-               python3-django (<< 3:4.3),
+               python3-dateutil,
+               python3-django,
                python3-django-compressor,
                python3-django-extensions,
                python3-django-gravatar2,
                python3-django-haystack,
-               python3-django-mailman3 (>= 1.3.8),
+               python3-django-mailman3,
                python3-django-q,
                python3-djangorestframework,
                python3-elasticsearch,
@@ -23,16 +25,16 @@
                python3-isort,
                python3-lxml,
                python3-mailmanclient,
-               python3-mistune (>= 2.0.0),
-               python3-mock,
+               python3-mistune,
                python3-networkx,
+               python3-pdm-backend,
                python3-robot-detection,
-               python3-setuptools,
                python3-tz,
                python3-whoosh,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                sassc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
@@ -42,23 +44,22 @@
 Architecture: all
 Depends: fonts-font-awesome,
          fonts-glyphicons-halflings,
-         libjs-bootstrap4,
          libjs-jquery,
          libjs-jquery-ui,
+         node-bootstrap,
          python3-dateutil,
-         python3-django (>= 2:3.2),
-         python3-django (<< 3:4.3),
+         python3-django,
          python3-django-compressor,
          python3-django-extensions,
          python3-django-gravatar2,
          python3-django-haystack,
-         python3-django-mailman3 (>= 1.3.8),
+         python3-django-mailman3,
          python3-django-q,
          python3-djangorestframework,
          python3-elasticsearch,
          python3-flufl.lock,
          python3-mailmanclient,
-         python3-mistune (>= 2.0.0),
+         python3-mistune,
          python3-networkx,
          python3-robot-detection,
          python3-tz,

=== debian/tests/control ===
Tests: python3-django-hyperkitty
Depends: @,
         python3-all,
         python3-bs4,
         python3-lxml,
         python3-mock,
         python3-whoosh
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/@PACKAGE@/ .*[Hh]yper[Kk]itty@ANY_VERSION@.tar.gz
